from abaqus import session
from abaqusConstants import *
import i18n, sys

def SketchFmXY(data=None,flag=None,model=None):
    """
    enter points and sketch them
    """
    
    s = model.ConstrainedSketch(name='__profile__', sheetSize=200.0)
    g, v, d, c = s.geometry, s.vertices, s.dimensions, s.constraints
    s.setPrimaryObject(option=STANDALONE)

    if flag==1:
      for xy in data:
         s.Spot(point=xy)
    elif flag==2:
      for i in range(len(data)-1):
         s.Line(point1=data[i], point2=data[i+1])
    else: pass
    
    model.ConstrainedSketch(name='fromXY', objectToCopy=s)
    model.sketches.changeKey(fromName='__profile__', toName='fromXY')
    s.unsetPrimaryObject()

    print i18n.tr('The sketch "fromXY" has been stored.')
    return 0